/*
 * Copyright (c) 2016, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root  or https://opensource.org/licenses/BSD-3-Clause
 */
/* eslint global-require: 0 */
'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const messages = require(path.join(__dirname, '..', '..', 'lib', 'messages'))();
module.exports = function (_execCommand) {
    const Config = require(path.join(__dirname, '..', '..', 'lib', 'configApi')).Config;
    const configInstance = new Config();
    return {
        description: messages.getMessage('mdDescribeMetadataCommandCliDescription'),
        longDescription: messages.getMessage('mdDescribeMetadataCommandCliLong'),
        help: messages.getMessage('mdDescribeMetadataCommandCliHelp'),
        requiresProject: false,
        supportsTargetUsername: true,
        flags: [{
                name: 'apiversion',
                char: 'a',
                description: messages.getMessage('mdDescribeMetadataCommandCliApiVersion', configInstance.getApiVersion()),
                longDescription: messages.getMessage('mdDescribeMetadataCommandCliApiVersionLong', configInstance.getApiVersion()),
                required: false,
                hasValue: true,
                type: 'number'
            },
            {
                name: 'resultfile',
                char: 'f',
                description: messages.getMessage('mdDescribeMetadataCommandCliResultFile'),
                longDescription: messages.getMessage('mdDescribeMetadataCommandCliResultFileLong'),
                required: false,
                hasValue: true,
                type: 'filepath'
            }
        ],
        /**
         * the heroku cli hook
         * @param context - the cli context
         * @returns {* }
         */
        run(context) {
            const MdapiDescribemetadataCommand = require(path.join(__dirname, '..', '..', 'lib', 'mdapiDescribemetadataCommand'));
            return _execCommand(new MdapiDescribemetadataCommand(context), context);
        }
    };
};

//# sourceMappingURL=mdapi_describemetadata.js.map
