/*
 * Copyright (c) 2016, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root  or https://opensource.org/licenses/BSD-3-Clause
 */
/* eslint global-require: 0 */
'use strict';
const path = require('path');
const { Messages } = require('@salesforce/core');
Messages.importMessagesDirectory(__dirname);
module.exports = function (_execCommand) {
    const messagesHammerTestList = Messages.loadMessages('salesforce-alm', 'package_hammertest_list');
    return {
        description: messagesHammerTestList.getMessage('cliDescription'),
        longDescription: messagesHammerTestList.getMessage('cliLongDescription'),
        help: messagesHammerTestList.getMessage('help'),
        supportsTargetUsername: true,
        flags: [
            {
                name: 'packageversionid',
                char: 'i',
                description: messagesHammerTestList.getMessage('packageversionid'),
                longDescription: messagesHammerTestList.getMessage('packageversionidLong'),
                hasValue: true,
                required: false,
                type: 'id'
            }
        ],
        hidden: true,
        /**
         * the heroku cli hook
         * @param context - the cli context
         * @returns {Promise}
         */
        run(context) {
            const HammerTestListCommand = require(path.join('..', '..', 'lib', 'package', 'hammerTestListCommand'));
            return _execCommand(new HammerTestListCommand(), context);
        }
    };
};

//# sourceMappingURL=package_hammertest_list.js.map
