"use strict";
/*
 * Copyright (c) 2016, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root  or https://opensource.org/licenses/BSD-3-Clause
 */
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@salesforce/core");
class Command {
    constructor(name) {
        this.name = name;
        this.loggerName = name;
    }
    getLogger() {
        return __awaiter(this, void 0, void 0, function* () {
            if (!this.logger) {
                this.logger = yield core_1.Logger.child(this.loggerName);
            }
            return this.logger;
        });
    }
    validate(context) {
        return __awaiter(this, void 0, void 0, function* () {
            return Promise.resolve(context);
        });
    }
}
exports.default = Command;

//# sourceMappingURL=command.js.map
